Debian Bug report logs - #614547
unmet dependencies: xserver-xorg-input-tslib : Depends: xorg-input-abi-7.0

version graph

Package: xserver-xorg-input-tslib; Maintainer for xserver-xorg-input-tslib is Debian Embedded <debian-embedded@lists.debian.org>;

Reported by: Timo Juhani Lindfors <timo.lindfors@iki.fi>

Date: Tue, 22 Feb 2011 07:27:01 UTC

Severity: important

Found in version xf86-input-tslib/0.0.6-5

Fixed in version xf86-input-tslib/0.0.6-6

Done: Jonas Smedegaard <dr@jones.dk>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Debian Embedded <debian-embedded@lists.debian.org>:
Bug#614547; Package xserver-xorg-input-tslib. (Tue, 22 Feb 2011 07:27:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Timo Juhani Lindfors <timo.lindfors@iki.fi>:
New Bug report received and forwarded. Copy sent to Debian Embedded <debian-embedded@lists.debian.org>. (Tue, 22 Feb 2011 07:27:04 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Timo Juhani Lindfors <timo.lindfors@iki.fi>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: unmet dependencies: xserver-xorg-input-tslib : Depends: xorg-input-abi-7.0
Date: Tue, 22 Feb 2011 09:25:16 +0200
[Message part 1 (text/plain, inline)]
Package: xserver-xorg-input-tslib
Version: 0.0.6-5
Severity: important

(sid)lindi1:~$ sudo apt-get install xserver-xorg-input-tslib
Reading package lists... Done
Building dependency tree
Reading state information... Done
Some packages could not be installed. This may mean that you have
requested an impossible situation or if you are using the unstable
distribution that some required packages have not yet been created
or been moved out of Incoming.
The following information may help to resolve the situation:

The following packages have unmet dependencies:
 xserver-xorg-input-tslib : Depends: xorg-input-abi-7.0
                            Depends: xserver-xorg-core (>= 2:1.7.6.901) but it is not going to be installed
E: Broken packages

This was already discussed in an email thread "Re: xf86-input-tslib and
xorg 1.9" but here's a bug report so that it does not get forgotten.


Please consider the attached patch. Openmoko users are currently left
without a working touchscreen...

[0001-Use-dh-with-xsf-instead-of-local-debian-xsfbs.patch (text/x-diff, attachment)]
[Message part 3 (text/plain, inline)]

-- System Information:
Debian Release: wheezy/sid
  APT prefers unstable
  APT policy: (500, 'unstable')
Architecture: amd64 (x86_64)

Kernel: Linux 2.6.32-5-amd64 (SMP w/4 CPU cores)
Locale: LANG=C, LC_CTYPE=fi_FI (charmap=ISO-8859-1)
Shell: /bin/sh linked to /bin/bash

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Embedded <debian-embedded@lists.debian.org>:
Bug#614547; Package xserver-xorg-input-tslib. (Tue, 22 Feb 2011 07:51:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Neil Williams <codehelp@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Embedded <debian-embedded@lists.debian.org>. (Tue, 22 Feb 2011 07:51:05 GMT) Full text and rfc822 format available.

Message #10 received at 614547@bugs.debian.org (full text, mbox):

From: Neil Williams <codehelp@debian.org>
To: Timo Juhani Lindfors <timo.lindfors@iki.fi>, 614547@bugs.debian.org
Cc: control@bugs.debian.org
Subject: Re: Bug#614547: unmet dependencies: xserver-xorg-input-tslib : Depends: xorg-input-abi-7.0
Date: Tue, 22 Feb 2011 07:50:14 +0000
[Message part 1 (text/plain, inline)]
tag 614547 - patch
quit

On Tue, 22 Feb 2011 09:25:16 +0200
Timo Juhani Lindfors <timo.lindfors@iki.fi> wrote:
> 
> Please consider the attached patch. Openmoko users are currently left
> without a working touchscreen...

I don't see any need to change the debhelper compatibility in order to
fix this bug. The patch is really excessive. There's a reason for the
current content of debian/rules and none of that is affected by this
bug.

-- 

Neil Williams
=============
codehelp@debian.org

[Message part 2 (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Embedded <debian-embedded@lists.debian.org>:
Bug#614547; Package xserver-xorg-input-tslib. (Tue, 22 Feb 2011 08:00:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Timo Juhani Lindfors <timo.lindfors@iki.fi>:
Extra info received and forwarded to list. Copy sent to Debian Embedded <debian-embedded@lists.debian.org>. (Tue, 22 Feb 2011 08:00:07 GMT) Full text and rfc822 format available.

Message #15 received at 614547@bugs.debian.org (full text, mbox):

From: Timo Juhani Lindfors <timo.lindfors@iki.fi>
To: Neil Williams <codehelp@debian.org>
Cc: 614547@bugs.debian.org, Julien Cristau <jcristau@debian.org>
Subject: Re: Bug#614547: unmet dependencies: xserver-xorg-input-tslib : Depends: xorg-input-abi-7.0
Date: Tue, 22 Feb 2011 09:56:53 +0200
Neil Williams <codehelp@debian.org> writes:
> I don't see any need to change the debhelper compatibility in order to
> fix this bug. The patch is really excessive. There's a reason for the
> current content of debian/rules and none of that is affected by this
> bug.

That evolved in the following discussion:

From: Julien Cristau <jcristau@debian.org>
Subject: Re: xf86-input-tslib and xorg 1.9 (Was: Coordinating work
around X.Org drivers)
To: Timo Juhani Lindfors <timo.lindfors@iki.fi>
Cc: Cyril Brulebois <kibi@debian.org>, debian-x@lists.debian.org,
        Debian Embedded <debian-embedded@lists.debian.org>,
        Hector Oron <zumbi@debian.org>, Jonas Smedegaard <dr@jones.dk>
Date: Sun, 13 Feb 2011 22:22:49 +0100

On Sun, Feb 13, 2011 at 23:03:55 +0200, Timo Juhani Lindfors wrote:

> diff --git a/debian/xserver-xorg-input-tslib.install
> b/debian/xserver-xorg-input-tslib.install
> new file mode 100644
> index 0000000..c3cb272
> --- /dev/null
> +++ b/debian/xserver-xorg-input-tslib.install
> @@ -0,0 +1,3 @@
> +debian/tmp/usr/share/man/man4/* usr/share/man/man4/
> +debian/tmp/usr/lib/xorg/modules/input/tslib_drv.so
> usr/lib/xorg/modules/input/

debian/tmp here looks wrong (or at least unnecessary).  dh_install looks
there in compat level 7 anyway.

> +debian/50-tslib.conf usr/share/X11/xorg.conf.d/

Cheers,
Julien







Reply sent to Jonas Smedegaard <dr@jones.dk>:
You have taken responsibility. (Fri, 25 Feb 2011 01:51:04 GMT) Full text and rfc822 format available.

Notification sent to Timo Juhani Lindfors <timo.lindfors@iki.fi>:
Bug acknowledged by developer. (Fri, 25 Feb 2011 01:51:04 GMT) Full text and rfc822 format available.

Message #20 received at 614547-close@bugs.debian.org (full text, mbox):

From: Jonas Smedegaard <dr@jones.dk>
To: 614547-close@bugs.debian.org
Subject: Bug#614547: fixed in xf86-input-tslib 0.0.6-6
Date: Fri, 25 Feb 2011 01:47:42 +0000
Source: xf86-input-tslib
Source-Version: 0.0.6-6

We believe that the bug you reported is fixed in the latest version of
xf86-input-tslib, which is due to be installed in the Debian FTP archive:

xf86-input-tslib_0.0.6-6.debian.tar.gz
  to main/x/xf86-input-tslib/xf86-input-tslib_0.0.6-6.debian.tar.gz
xf86-input-tslib_0.0.6-6.dsc
  to main/x/xf86-input-tslib/xf86-input-tslib_0.0.6-6.dsc
xserver-xorg-input-tslib_0.0.6-6_amd64.deb
  to main/x/xf86-input-tslib/xserver-xorg-input-tslib_0.0.6-6_amd64.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 614547@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Jonas Smedegaard <dr@jones.dk> (supplier of updated xf86-input-tslib package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA512

Format: 1.8
Date: Fri, 25 Feb 2011 02:29:01 +0100
Source: xf86-input-tslib
Binary: xserver-xorg-input-tslib
Architecture: source amd64
Version: 0.0.6-6
Distribution: unstable
Urgency: low
Maintainer: Debian Embedded <debian-embedded@lists.debian.org>
Changed-By: Jonas Smedegaard <dr@jones.dk>
Description: 
 xserver-xorg-input-tslib - tslib touchscreen driver for X.Org/XFree86 server
Closes: 614547
Changes: 
 xf86-input-tslib (0.0.6-6) unstable; urgency=low
 .
   * Repackage using CDBS, and modernize for newer Xorg compatibility.
     Closes: bug#614547. Thanks to Timo Juhani Lindfors and others.
   * Ease building with git-buildpackage:
     + Git-ignore quilt .pc dir.
     + Add source local-options.
Checksums-Sha1: 
 a9e0b22b0b04efd5a4f9b055d7041c69ebb4789c 2080 xf86-input-tslib_0.0.6-6.dsc
 a1f9ab7280ac7f2816937d6ca588c9515b941f86 6718 xf86-input-tslib_0.0.6-6.debian.tar.gz
 030bdcbbbfe2d2298f575f1762c89636c0bb9f89 14808 xserver-xorg-input-tslib_0.0.6-6_amd64.deb
Checksums-Sha256: 
 e15aa52c9851ca15576bb1652ae039ab459f1d1f402bfe4357242b97de4538c7 2080 xf86-input-tslib_0.0.6-6.dsc
 6736dd2c0e5ab284ccbad7d8381d42263831b57318a8cee324689bfd859000e9 6718 xf86-input-tslib_0.0.6-6.debian.tar.gz
 f9c742b578680dd63f6edf6a252a9ec9984699663c0bc474d40085638d156815 14808 xserver-xorg-input-tslib_0.0.6-6_amd64.deb
Files: 
 0b0bab59c36402ce1bc73e8deb690367 2080 x11 optional xf86-input-tslib_0.0.6-6.dsc
 ffbfd488045d9a9e4f500a4a25b5b10e 6718 x11 optional xf86-input-tslib_0.0.6-6.debian.tar.gz
 e48ce04c7fe3cedef7b42333ff5492d1 14808 x11 optional xserver-xorg-input-tslib_0.0.6-6_amd64.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.11 (GNU/Linux)

iQIcBAEBCgAGBQJNZweAAAoJECx8MUbBoAEheQQP/RRqE6Lp//8XsLd7n3QHP34f
noyzRVG8xHZhGe0lkEMoJQ5Ru9EHUeeZkTHeRscdGnoz2SLBUhsishNqqPsVoidn
2Sf2tHlELP4Z8PNvY6TFDk5Zjbgu8P+9kaYjqlo8HtJrPANFia9fomKfA/2anX5D
QGN3hQdItAyzC0zSvrPg7m4jCgyKcpbntD2UA+cMcK322BKwhWjF0gN1XsEGrfh0
PkuuaA2jHa44w4h3tXo43Kp83baofzoDDMJYlqCtVBKHpn6Otan46LLefINDX5YS
cJBieQrn3hbmlH8XHAz6EMiSD3c3DPRmH85p2Kow3CFXep2mPq7AfeGRShCaNvdR
BlUhcCi0B9J21xbuSe3r0LMkWSmB5kKBGThzXFl6fBD2yNQ1Jw+kixDcEOZHdRC6
W6uhsnwErEiqoEvAppg3LiGX5K2oFZW7c+KS69ZERil545vnQ92oI551jT2GwepU
ffHS11okjCU3u2shM3K0KI5UvaPRngKM+wuSzFZ0Pp6ZKCgi01sj8dU4IRDzQD0g
2sobazp13Sxn4XI2HVGqnXe8iOlS/B4n6ERnm28/s9TDrSP0bPhLSJo0pebrWTIF
f3RJh+dJpGG4JxmG+7eP0kgbEUhqja8hvSnISJL+bNVwoqNsw4ANor6+Pct74R/q
/kZ9cnPuew3l93wXpyfZ
=i2bJ
-----END PGP SIGNATURE-----





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Mon, 09 May 2011 07:42:21 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Wed Apr 16 17:05:02 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.